Subject: bug#74981: 29.4; X11 crash when minibuffer text scale is increased greatly

From: Joseph Turner <[email-masked]>
Date: Sun, 12 Jan 2025 23:34:50 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Joseph Turner <[email-masked]>
>> Cc: Joseph Turner via "Bug reports for GNU Emacs, the Swiss army knife of
>>  text editors" <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>>   [email-masked],  [email-masked]
>> Date: Sat, 21 Dec 2024 12:37:25 -0800
>>
>> Gerd Möllmann <[email-masked]> writes:
>>
>> > Joseph Turner via "Bug reports for GNU Emacs, the Swiss army knife of
>> > text editors" <[email-masked]> writes:
>> >
>> >> Eli Zaretskii <[email-masked]> writes:
>> >
>> >> I looked up keywords like "GLSL compile failure" but to no avail.
>> >
>> > GLSL is OpenGL Shading Language. Maybe something with your OpenGL
>> > installation is somehow wrong if it complains about unsupported
>> > versions.
>>
>> Thank you.
>
> Ping! Any new information about this?  If not, how can we make some
> progress with this issue?

Sorry for the late response.  I haven't ever used gdb, nor have I messed
around with changing fonts on Linux, like you suggested earlier:

> One other idea is to change the font you use for the default face,
> maybe it's the font which causes the problem.  Cairo could also be the
> culprit, so using a different version of Cairo or a non-Cairo build
> might solve the problem.

If someone gives me some steps to follow to dig into the bug, I'm happy
to be the guinea pig.

Thank you!

Joseph